宮内といいます。

 ruby 1.6.1をインストールしてみました。
dbcreateを起動させてみると、以下のエラーです。
[root@miyauchi bbstest]# ruby dbcreate.rb miyauchi miyauchi
dbcreate.rb:3:in `require': No such file to load -- dbm (LoadError)
        from dbcreate.rb:3
[root@miyauchi bbstest]# 
 他のファイルでも、require 'dbm'で同じエラーになります。

 インストール時には、dbmはインストールされているようなのですが。。。
[root@miyauchi ruby-1.6.1]# make install
./miniruby ./instruby.rb 
installing Win32API
installing curses
make[1]: Entering directory `/home/miyauchk/ruby-1.6.1/ext/curses'
make[1]: Leaving directory `/home/miyauchk/ruby-1.6.1/ext/curses'
installing dbm
installing etc
make[1]: Entering directory `/home/miyauchk/ruby-1.6.1/ext/etc'
make[1]: Leaving directory `/home/miyauchk/ruby-1.6.1/ext/etc'
installing fcntl
make[1]: Entering directory `/home/miyauchk/ruby-1.6.1/ext/fcntl'
make[1]: Leaving directory `/home/miyauchk/ruby-1.6.1/ext/fcntl'
installing gdbm
make[1]: Entering directory `/home/miyauchk/ruby-1.6.1/ext/gdbm'
make[1]: Leaving directory `/home/miyauchk/ruby-1.6.1/ext/gdbm'